ConnectionClosingEvent (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging.jms.notification

## Class ConnectionClosingEvent

- java.lang.Object
- - java.util.EventObject
  - - com.sun.messaging.jms.notification.Event
    - - com.sun.messaging.jms.notification.ConnectionEvent
      - - com.sun.messaging.jms.notification.ConnectionClosingEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ConnectionClosingEvent
      extends ConnectionEvent

  MQ Connection closing Event. This event is generated (if application had set a connection event listener) when MQ client runtime received a notification from MQ broker that a connection is about to be closed due to a soft shutdown.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONNECTION_CLOSING_ADMIN` Connection closing event code - admin requested shutdown.

    - ### Fields inherited from class com.sun.messaging.jms.notification.ConnectionEvent

      `connection`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionClosingEvent(Connection conn, java.lang.String evCode, java.lang.String evMessage, long timePeriod)` Construct a ConnectionClosingEvent object associated with the connection specified.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getClosingTimePeriod()` Get the connection closing time period in milli seconds.

    - ### Methods inherited from class com.sun.messaging.jms.notification.ConnectionEvent

      `getBrokerAddress, getConnection, getSource`

    - ### Methods inherited from class com.sun.messaging.jms.notification.Event

      `getEventCode, getEventMessage, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION_CLOSING_ADMIN

          public static final java.lang.String CONNECTION_CLOSING_ADMIN

      Connection closing event code - admin requested shutdown.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionClosingEvent

          public ConnectionClosingEvent(Connection conn,
                                        java.lang.String evCode,
                                        java.lang.String evMessage,
                                        long timePeriod)

      Construct a ConnectionClosingEvent object associated with the connection specified.
      Parameters:
        `conn` - the connection associated with the closing event.
        `evCode` - the event code that represents this event object.
        `evMessage` - the event message that describes this event object.
        `timePeriod` - the closing time period (in milli secs) since the broker announces the connection is to be closed.

  - ### Method Detail

    - #### getClosingTimePeriod

          public long getClosingTimePeriod()

      Get the connection closing time period in milli seconds. The time period is calculated from the announcement time by broker.
      Returns:
        the closing time period.

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.